=== debian/changelog ===
ortp (1:5.2.0-2ubuntu1) noble; urgency=medium

  * Build with the nodoc profile to work-around a FTBFS.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 14 Apr 2024 12:59:24 +0200

ortp (1:5.2.0-2build1) noble; urgency=medium

  * No-change rebuild against libbctoolbox1t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 03:01:04 +0000

ortp (1:5.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Bernhard Schmidt <berni@debian.org>  Fri, 28 Jul 2023 22:49:03 +0200

ortp (1:5.2.0-1) experimental; urgency=medium

  * New upstream version 5.2.0.
  * Comply with Debian policy v4.6.2.

 -- Dennis Filder <d.filder@web.de>  Mon, 19 Dec 2022 18:25:22 +0100
