=== debian/control ===
Source: ortp
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Felix Lechner <felix.lechner@gmail.com>,
           Bernhard Schmidt <berni@debian.org>,
Build-Depends: cmake,
               debhelper-compat (= 13),
               libbctoolbox-dev (>= 5.2.0~),
Build-Depends-Indep: doxygen <!nodoc>,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Section: libs
Homepage: https://www.linphone.org/technical-corner/ortp
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/linphone-stack/ortp
Vcs-Git: https://salsa.debian.org/pkg-voip-team/linphone-stack/ortp.git
Description: Real-time Transport Protocol (RTP) library

Package: libortp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libbctoolbox-dev (>= 5.2.0~),
         libortp16 (= ${binary:Version}),
         ${misc:Depends},
Description: Development files for the ortp RTP library
 This library implements RFC 3550 (RTP) and offers an easy to
 use API with high-level and low-level access. It is part of
 Linphone.
 .
 The main features are support for multiple profiles (AV profile
 RFC 3551 being the default one); an optional packet scheduler
 for synchronizing RTP recv and send; blocking or non-blocking
 IO for RTP sessions; multiplexed IO; some of RFC 4733 for
 telephone events over RTP.
 .
 This package contains the development files.

Package: libortp-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery,
         ${misc:Depends},
Suggests: libortp-dev,
Description: oRTP API documentation
 This library implements RFC 3550 (RTP) and offers an easy to
 use API with high-level and low-level access. It is part of
 Linphone.
 .
 The main features are support for multiple profiles (AV profile
 RFC 3551 being the default one); an optional packet scheduler
 for synchronizing RTP recv and send; blocking or non-blocking
 IO for RTP sessions; multiplexed IO; some of RFC 4733 for
 telephone events over RTP.
 .
 This package contains the API documentation.

Package: libortp16
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Real-time Transport Protocol (RTP) stack
 This library implements RFC 3550 (RTP) and offers an easy to
 use API with high-level and low-level access. It is part of
 Linphone.
 .
 The main features are support for multiple profiles (AV profile
 RFC 3551 being the default one); an optional packet scheduler
 for synchronizing RTP recv and send; blocking or non-blocking
 IO for RTP sessions; multiplexed IO; some of RFC 4733 for
 telephone events over RTP.
