=== debian/changelog ===
ortp (1:5.2.98-2+rpi1) trixie-staging; urgency=medium

  * Fix case of cmake file for new version of bctoolbox.

 -- Peter Michael Green <plugwash@raspbian.org>  Tue, 07 Jan 2025 03:55:31 +0000

ortp (1:5.2.98-2) experimental; urgency=medium

  * libortp16: Add several Breaks relations to prevent issues with partial
    upgrades stemming from the soname change of libbctoolbox.

 -- Dennis Filder <d.filder@web.de>  Thu, 05 Oct 2023 19:17:28 +0200

ortp (1:5.2.98-1) experimental; urgency=medium

  * New upstream version 5.2.98.
  * Express pkgconfig dependency on bctoolbox correctly (Closes: #1037524).

 -- Dennis Filder <d.filder@web.de>  Sat, 02 Sep 2023 11:32:30 +0200
