=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: ortp
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Felix Lechner <felix.lechner@gmail.com>,
            Bernhard Schmidt <berni@debian.org>,
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libbctoolbox-dev (>= 5.2.0~),
+               libbctoolbox-dev (>= 5.2.98~),
 Build-Depends-Indep: doxygen <!nodoc>,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -20,7 +19,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libbctoolbox-dev (>= 5.2.0~),
+Depends: libbctoolbox-dev (>= 5.2.98~),
          libortp16 (= ${binary:Version}),
          ${misc:Depends},
 Description: Development files for the ortp RTP library
@@ -63,6 +62,7 @@
 Pre-Depends: ${misc:Pre-Depends},
 Depends: ${misc:Depends},
          ${shlibs:Depends},
+Breaks: libmediastreamer13, liblinphone11, mediastreamer2-plugin-openh264 (<= 5.2.0-2)
 Description: Real-time Transport Protocol (RTP) stack
  This library implements RFC 3550 (RTP) and offers an easy to
  use API with high-level and low-level access. It is part of
