=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-export DEB_BUILD_PROFILES := $(DEB_BUILD_PROFILES) nodoc
 
 include /usr/share/dpkg/pkg-info.mk
 export DEB_VERSION_UPSTREAM
@@ -43,7 +41,7 @@
 # libraries being versioned in lock-step which is apparently their
 # approach now.
 execute_after_dh_auto_install-arch:
-	echo 'Requires.private: bctoolbox >= $(DEB_VERSION_UPSTREAM)' >> debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/ortp.pc
+	echo 'Requires: bctoolbox >= $(DEB_VERSION_UPSTREAM)' >> debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig/ortp.pc
 	rm -f debian/tmp/usr/share/doc/ortp/CHANGELOG.md
 
 execute_before_dh_auto_install-arch:
